namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Technician is an ability that boosts the power of the Pokémon's weaker moves.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Technician_(Ability)">Bulbapedia - Technician</see>
/// </summary>
[Script(ScriptCategory.Ability, "technician")]
public class Technician : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (move.UseMove.BasePower <= 60)
        {
            basePower = basePower.MultiplyOrMax(1.5f);
        }
    }
}